#############################################################################
# Makefile for building: lecture_table_alarmes
# Generated by qmake (2.01a) (Qt 4.3.4) on: jeu. 16. oct. 22:05:43 2008
# Project:  lecture_table_alarmes.pro
# Template: app
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DUNICODE -DQT_LARGEFILE_SUPPORT -DQT_DLL -DQT_NO_DEBUG -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_THREAD_SUPPORT -DQT_NEEDS_QMAIN
CFLAGS        = -O2 -Wall $(DEFINES)
CXXFLAGS      = -O2 -frtti -fexceptions -mthreads -Wall $(DEFINES)
INCPATH       = -I"f:\Qt\4.3.4\include\QtCore" -I"f:\Qt\4.3.4\include\QtCore" -I"f:\Qt\4.3.4\include\QtGui" -I"f:\Qt\4.3.4\include\QtGui" -I"f:\Qt\4.3.4\include\QtSql" -I"f:\Qt\4.3.4\include\QtSql" -I"f:\Qt\4.3.4\include" -I"." -I"f:\Qt\4.3.4\include\ActiveQt" -I"release" -I"." -I"f:\Qt\4.3.4\mkspecs\win32-g++"
LINK        =        g++
LFLAGS        =        -enable-stdcall-fixup -Wl,-enable-auto-import -Wl,-enable-runtime-pseudo-reloc -Wl,-s -mthreads -Wl -Wl,-subsystem,windows
LIBS        =        -L"f:\Qt\4.3.4\lib" -lmingw32 -lqtmain -lQtSql4 -lQtGui4 -lQtCore4 -LF:\MySQL\lib\opt
QMAKE         = f:\Qt\4.3.4\bin\qmake.exe
IDC           = f:\Qt\4.3.4\bin\idc.exe
IDL           = midl
ZIP           = zip -r -9
DEF_FILE      = 
RES_FILE      = 
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
DEL_FILE      = del
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
INSTALL_FILE    = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR     = $(COPY_DIR)

####### Output directory

OBJECTS_DIR   = release

####### Files

SOURCES       = lecturedialog.cpp \
		main.cpp \
		modifierdialog.cpp release\moc_lecturedialog.cpp \
		release\moc_modifierdialog.cpp
OBJECTS       = release/lecturedialog.o \
		release/main.o \
		release/modifierdialog.o \
		release/moc_lecturedialog.o \
		release/moc_modifierdialog.o
DIST          = 
QMAKE_TARGET  = lecture_table_alarmes
DESTDIR        = release\ #avoid trailing-slash linebreak
TARGET         = lecture_table_alarmes.exe
DESTDIR_TARGET = release\lecture_table_alarmes.exe

####### Implicit rules

.SUFFIXES: .cpp .cc .cxx .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

first: all
all: Makefile.Release  $(DESTDIR_TARGET)

$(DESTDIR_TARGET): ui_lecturealarmes.h ui_modifierdialog.h $(OBJECTS) 
	$(LINK) $(LFLAGS) -o $(DESTDIR_TARGET) $(OBJECTS)  $(LIBS)


qmake:  FORCE
	@$(QMAKE) -win32 -o Makefile.Release lecture_table_alarmes.pro

dist:
	$(ZIP) lecture_table_alarmes.zip $(SOURCES) $(DIST) lecture_table_alarmes.pro f:\Qt\4.3.4\mkspecs\qconfig.pri f:\Qt\4.3.4\mkspecs\features\qt_functions.prf f:\Qt\4.3.4\mkspecs\features\qt_config.prf f:\Qt\4.3.4\mkspecs\features\exclusive_builds.prf f:\Qt\4.3.4\mkspecs\features\default_pre.prf f:\Qt\4.3.4\mkspecs\features\win32\default_pre.prf f:\Qt\4.3.4\mkspecs\features\release.prf f:\Qt\4.3.4\mkspecs\features\debug_and_release.prf f:\Qt\4.3.4\mkspecs\features\default_post.prf f:\Qt\4.3.4\mkspecs\features\build_pass.prf f:\Qt\4.3.4\mkspecs\features\win32\rtti.prf f:\Qt\4.3.4\mkspecs\features\win32\exceptions.prf f:\Qt\4.3.4\mkspecs\features\win32\stl.prf f:\Qt\4.3.4\mkspecs\features\shared.prf f:\Qt\4.3.4\mkspecs\features\warn_on.prf f:\Qt\4.3.4\mkspecs\features\qt.prf f:\Qt\4.3.4\mkspecs\features\win32\thread.prf f:\Qt\4.3.4\mkspecs\features\moc.prf f:\Qt\4.3.4\mkspecs\features\win32\windows.prf f:\Qt\4.3.4\mkspecs\features\resources.prf f:\Qt\4.3.4\mkspecs\features\uic.prf f:\Qt\4.3.4\mkspecs\features\yacc.prf f:\Qt\4.3.4\mkspecs\features\lex.prf f:\Qt\4.3.4\lib\qtmain.prl  HEADERS RESOURCES IMAGES SOURCES OBJECTIVE_SOURCES FORMS YACCSOURCES YACCSOURCES LEXSOURCES 

clean: compiler_clean 
	-$(DEL_FILE) release\lecturedialog.o release\main.o release\modifierdialog.o release\moc_lecturedialog.o release\moc_modifierdialog.o

distclean: clean
	-$(DEL_FILE) $(DESTDIR_TARGET)
	-$(DEL_FILE) Makefile.Release

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: release/moc_lecturedialog.cpp release/moc_modifierdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) release\moc_lecturedialog.cpp release\moc_modifierdialog.cpp
release/moc_lecturedialog.cpp: ui_lecturealarmes.h \
		modifierdialog.h \
		ui_modifierdialog.h \
		lecturedialog.h \
		lecturedialog.h
	F:/Qt/4.3.4/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 lecturedialog.h -o release\moc_lecturedialog.cpp

release/moc_modifierdialog.cpp: ui_modifierdialog.h \
		lecturedialog.h \
		ui_lecturealarmes.h \
		modifierdialog.h \
		modifierdialog.h
	F:/Qt/4.3.4/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 modifierdialog.h -o release\moc_modifierdialog.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_lecturealarmes.h ui_modifierdialog.h
compiler_uic_clean:
	-$(DEL_FILE) ui_lecturealarmes.h ui_modifierdialog.h
ui_lecturealarmes.h: lecturealarmes.ui
	f:\Qt\4.3.4\bin\uic.exe lecturealarmes.ui -o ui_lecturealarmes.h

ui_modifierdialog.h: modifierdialog.ui
	f:\Qt\4.3.4\bin\uic.exe modifierdialog.ui -o ui_modifierdialog.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 



####### Compile

release/lecturedialog.o: lecturedialog.cpp lecturedialog.h \
		ui_lecturealarmes.h \
		modifierdialog.h \
		ui_modifierdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release\lecturedialog.o lecturedialog.cpp

release/main.o: main.cpp lecturedialog.h \
		ui_lecturealarmes.h \
		modifierdialog.h \
		ui_modifierdialog.h \
		connexion.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release\main.o main.cpp

release/modifierdialog.o: modifierdialog.cpp modifierdialog.h \
		ui_modifierdialog.h \
		lecturedialog.h \
		ui_lecturealarmes.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release\modifierdialog.o modifierdialog.cpp

release/moc_lecturedialog.o: release/moc_lecturedialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release\moc_lecturedialog.o release\moc_lecturedialog.cpp

release/moc_modifierdialog.o: release/moc_modifierdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release\moc_modifierdialog.o release\moc_modifierdialog.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

